<template>
  <div class="main">
    <div class="games-listing">

      <div class="games-listing-header">
        <PageTitle />
        <router-link class="btn btn-red" :to="{ name: 'create-game' }">Créer une partie</router-link>
      </div>

      <div class="games-listing-content">

        <table>
          <thead>
            <td>Score</td>
            <td>Catégorie</td>
            <td>Date</td>
          </thead>
          <tbody v-if="scores.length > 0">
            <tr
              v-for="(score, i) in scores"
              :key="i"
            >
              <td>{{ score.scoreNumber }}</td>
              <td>{{ score.categorie }}</td>
              <td>{{ new Date(score.date).toLocaleString() }}</td>
            </tr>
          </tbody>
          <tbody v-else>
            <tr>
              <td>Aucune partie</td>
              <td></td>
              <td></td>
            </tr>
          </tbody>
        </table>

      </div>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/commons/PageTitle";

export default {
  components: {PageTitle},

  computed: {
    scores() {
      return this.$store.state.games.scores;
    },
  },

  beforeMount() {
    this.$store.dispatch('getScores')
  }
}
</script>

<style lang="css" scoped>
.games-listing {
  width: 100%;
}

.btn {
  display: inline-block;
}

table {
  width: 100%;
  margin-top: 1rem;
  border-collapse: collapse;
  font-family: Tahoma, Geneva, sans-serif;
}
table td {
  padding: 15px;
}
table thead td {
  background-color: #54585d;
  color: #ffffff;
  font-weight: bold;
  font-size: 13px;
  border: 1px solid #54585d;
}
table thead td a {
  text-decoration: none;
  color: #ffffff;
}
table tbody td {
  color: #636363;
  border: 1px solid #dddfe1;
}
table tbody tr {
  background-color: #f9fafb;
}
table tbody tr:nth-child(odd) {
  background-color: #ffffff;
}
</style>
